<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: m17n-misc.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>m17n-misc.h File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3">MErrorCode</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a76e69eefe9c13217555e8db90e7c7114">MERROR_NONE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a394999d82284ef530b8812bbdc374f2e">MERROR_OBJECT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a933ddb03cc3d11eea32c6bbb03c4e06c">MERROR_SYMBOL</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a2d15e608d82a99dd7c96cca61af6b598">MERROR_MTEXT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a672bf029849763e07cfa9ee16281887a">MERROR_TEXTPROP</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a5895e0834b98abeb3675dd1cc9eccb2e">MERROR_CHAR</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a4ffdd1e55378a159a3748924d293d2aa">MERROR_CHARTABLE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3af18bb0c0265434d6dbb29f5e8be38b67">MERROR_CHARSET</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a0a3949bd38ee8e7aabe05c0238ccbdf2">MERROR_CODING</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a38927e40ded1cca869e61b10d29f3ecf">MERROR_RANGE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a263b061561af44aabf552b9ede4cd57b">MERROR_LANGUAGE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a24a64ecee845b0a46593e0c7d5d77792">MERROR_LOCALE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a7bb13a723cb3f007c2baf14d270f7b4f">MERROR_PLIST</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a11fedf19e273e866967449cf120c1ccf">MERROR_MISC</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a321de69321e3b9753db2b61f01051ec9">MERROR_WIN</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a8b3b3acd9fe839f75fea988a000d019b">MERROR_X</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a84b6edc91403288563ea481f62f4dca7">MERROR_FRAME</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a0974bb6583d91b485d0864f3dfdf793f">MERROR_FACE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3afd164136787f2382a3395ca411e79779">MERROR_DRAW</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3abcaec438e03d17b82da48e6b11bf1457">MERROR_FLT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3ab7d4a050672d124423e85033c0e1c940">MERROR_FONT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a18d7fb55505046cdfe23d36eae07d3ca">MERROR_FONTSET</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3ae1c3f7315bbd55f20c97a82b8e1873f3">MERROR_FONT_OTF</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a96075ab1cedbdec873fd42072a563a90">MERROR_FONT_X</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a634f52b75e77dd12eac4ada21cdd28f7">MERROR_FONT_FT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3ac7c2b3d57b2c1e123463d67a1106eb5f">MERROR_IM</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a281a657075e836684b26f215b8c44aab">MERROR_DB</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a45bd75cab6c27ce7afafffb77559f894">MERROR_IO</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a57d012d84412ee566d335a11146c82da">MERROR_DEBUG</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a40efab5540fbb75453c4b7a68defb84b">MERROR_MEMORY</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3acda6dcf2d45618e55396ef43b7ece8d9">MERROR_GD</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a12d8c707cd9cd85e9f3fd76ac251c49a">MERROR_MAX</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Enumeration for error code of the m17n library. </p>
 <a href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga8b0933991939cadcaed4399a60c9b9db">mdebug_hook</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Hook function called on an error.  <a href="group__m17nDebug.html#ga8b0933991939cadcaed4399a60c9b9db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga9c889e8d4c7730e4f5ff78c9a57fc11f">mdebug_dump_symbol</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> sym, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump a symbol.  <a href="group__m17nDebug.html#ga9c889e8d4c7730e4f5ff78c9a57fc11f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga04577301857b34f7e50e235bc06fd213">mdebug_dump_all_symbols</a> (int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump all symbol names.  <a href="group__m17nDebug.html#ga04577301857b34f7e50e235bc06fd213"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga130be9986f29171365089b39a3368c28">mdebug_dump_plist</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump a property list.  <a href="group__m17nDebug.html#ga130be9986f29171365089b39a3368c28"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga52ba04c9aee68a3b57700c6c9f003589">mdebug_dump_mtext</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int fullp, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump an M-text.  <a href="group__m17nDebug.html#ga52ba04c9aee68a3b57700c6c9f003589"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#gaf1a509be097e9dc29a79652e57a1b96e">mdebug_dump_chartab</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump a chartable.  <a href="group__m17nDebug.html#gaf1a509be097e9dc29a79652e57a1b96e"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nError.html#gad60479e31373e222202783a77a43f3fa">m17n_memory_full_handler</a> )(enum <a class="el" href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3">MErrorCode</a> err)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Memory allocation error handler.  <a href="group__m17nError.html#gad60479e31373e222202783a77a43f3fa"></a><br/></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
